import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pmu_project/presentation/home_page/bloc/bloc.dart';
import 'package:pmu_project/presentation/home_page/home_page.dart';
import 'package:pmu_project/repositories/naruto.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        colorScheme: ColorScheme.fromSeed(seedColor: mainColor),
        useMaterial3: true,
      ),
      home: RepositoryProvider<NarutoRepository>(
        lazy: true,
          create: (_) => NarutoRepository(),
          child: BlocProvider<HomeBloc>(
            lazy: false,
            create: (context) => HomeBloc(context.read<NarutoRepository>()),
            child: const MyHomePage(),
          ),
      ),
    );
  }
}
