import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import '../../domain/models/card.dart';

class DetailsPage extends StatelessWidget {
  final CardData data;

  const DetailsPage(this.data, {super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(),
        body: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Padding(
              padding: const EdgeInsets.only(bottom: 16.0),
              child: Image.network(
                data.imageUrl ?? '',
              ),
            ),
            Padding(
              padding:
                  const EdgeInsets.only(bottom: 4.0, left: 4.0, right: 4.0),
              child: Text(
                data.name,
                style: Theme.of(context).textTheme.headlineLarge,
              ),
            ),
            Padding(
              padding:
                  const EdgeInsets.only(bottom: 4.0, left: 4.0, right: 4.0),
              child: Text(
                data.descriptionText,
                style: Theme.of(context).textTheme.bodyMedium,
              ),
            ),
          ],
        ));
  }
}
